Bulk delete roles

  • DELETE /_security/role
Auth

The role management APIs are generally the preferred way to manage roles, rather than using file-based role management. The bulk delete roles API cannot delete roles that are defined in roles files.

Required privileges

Cluster privileges manage_security

Query parameters

refresh enum

If true (the default) then refresh the affected shards to make this operation visible to search, if wait_for then wait for a refresh to make this operation visible to search, if false then do nothing with refreshes.

Values: true false wait_for

Request body

names string[] required

An array of role names to delete

Response

application/json
deleted string[]

Array of deleted roles

not_found string[]

Array of roles that could not be found